import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "Docker Docs",
  description: "使用手册",
  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: 'Home', link: '/' },
      { text: 'Examples', link: '/markdown-examples' }
    ],

    sidebar: {
      '/docs/engine': [
        {
          text: "引擎",
          items: [
            { text: '概述', link: '/docs/engine/' },
            { 
              text: '安装', 
              collapsed: false,
              link: '/docs/engine/about',
              items: [
                { text: "Ubuntu", link: '/docs/engine/ubuntu' },
                { text: "Debian", link: '/docs/engine/debian' },
              ]
            }
          ]
        }
      ],
    },
    

    socialLinks: [
      { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ]
  }
})
